Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
SearchIndexConfig Class Reference
Inheritance diagram for SearchIndexConfig:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (name, is_available, path, is_selected)
| Constructor, with parameters. More...
| Set (name, is_available, path, is_selected)
| Set values. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| is_available
| Specifies whether the serch index is available for selection and searching. true means the index is available, while false means not.
| is_selected
| Specifies whether the search index participates in the search. true means the index is searched as part of the query, while false means it is not searched.
| name
| The name of search index.
| path
| The path of the search index.

## Detailed Description

This class represents search index config.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

SearchIndexConfig.constructor | ( | name | ,
|  | is_available | ,
|  | path | ,
|  | is_selected |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

## ◆ Set()

SearchIndexConfig.Set | ( | name | ,
|  | is_available | ,
|  | path | ,
|  | is_selected |
| ) |  |

Set values.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.